Package wx :: Package lib :: Package agw :: Module hypertreelist :: Class HyperTreeList

[frames | no frames]

## Type HyperTreeList

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                HyperTreeList

Method Summary
| `__init__(self, parent, id, pos, size, style, validator, name)`
| `AddColumn(self, text, width, flag, image, shown, colour, edit)`
| `AddColumnInfo(self, colInfo)`
| `CalculateAndSetHeaderHeight(self)`
| `DoGetBestSize(self)`
| `DoHeaderLayout(self)`
| ``GetClassDefaultAttributes`(self)` Gets the class default attributes. (Class method)
| `GetColumn(self, column)`
| `GetColumnAlignment(self, column)`
| `GetColumnColour(self, column)`
| `GetColumnFont(self, column)`
| `GetColumnImage(self, column)`
| `GetColumnText(self, column)`
| `GetColumnWidth(self, column)`
| `GetCount(self)`
| `GetHeaderWindow(self)`
| `GetMainWindow(self)`
| `GetWindowStyle(self)`
| `InsertColumn(self, before, colInfo)`
| `IsColumnEditable(self, column)`
| `IsColumnShown(self, column)`
| `OnCompareItems(self, item1, item2)`
| `OnGetItemText(self, item, column)`
| `OnSize(self, event)`
| `Refresh(self, erase, rect)`
| `RemoveColumn(self, column)`
| `SetBackgroundColour(self, colour)`
| `SetColumn(self, column, colInfo)`
| `SetColumnAlignment(self, column, flag)`
| `SetColumnColour(self, column, colour)`
| `SetColumnEditable(self, column, edit)`
| `SetColumnFont(self, column, font)`
| `SetColumnImage(self, column, image)`
| `SetColumnShown(self, column, shown)`
| `SetColumnText(self, column, text)`
| `SetColumnWidth(self, column, width)`
| `SetFocus(self)`
| `SetFont(self, font)`
| `SetForegroundColour(self, colour)`
| `SetWindowStyle(self, style)`

Property Summary

Class Method Details

### GetClassDefaultAttributes(self)

Gets the class default attributes.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:44 2009 | http://epydoc.sf.net